Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data
Class Receipt

    java.lang.Object
      things.common.Stamp
          things.data.Receipt

All Implemented Interfaces:
  java.io.Serializable

    public class Receipt

extends Stamp

This is standard receipt.

Version:
  1.0

  Version History

      EPG - Initial - 2 JUL 05

Author:
  Erich P. Gatejen
See Also:
  Serialized Form

Nested Class Summary
`static class` | `Receipt.Type`

Constructor Summary
`Receipt()`
`Receipt(java.lang.String theToken, Receipt.Type theType)`
`Receipt(java.lang.String theToken, Receipt.Type theType, java.lang.String note)`
`Receipt(WhoAmI callerID, Receipt.Type theType)`
`Receipt(WhoAmI callerID, java.lang.String theToken, Receipt.Type theType)`
`Receipt(WhoAmI callerID, java.lang.String theToken, Receipt.Type theType, java.lang.String note)`

Method Summary
`java.lang.String` | `getNote()`
`Receipt.Type` | `getType()`
`boolean` | `hasToken()`
`boolean` | `isFromSomebody()`
`java.lang.String` | `toString()` Get a string version of the stamp.

Methods inherited from class things.common.Stamp
`getTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Receipt

    public Receipt()
            throws ThingsException

Throws:
  `ThingsException`

### Receipt

    public Receipt(java.lang.String theToken,
                   Receipt.Type theType)
            throws ThingsException

Throws:
  `ThingsException`

### Receipt

    public Receipt(java.lang.String theToken,
                   Receipt.Type theType,
                   java.lang.String note)
            throws ThingsException

Throws:
  `ThingsException`

### Receipt

    public Receipt(WhoAmI callerID,
                   Receipt.Type theType)
            throws ThingsException

Throws:
  `ThingsException`

### Receipt

    public Receipt(WhoAmI callerID,
                   java.lang.String theToken,
                   Receipt.Type theType)
            throws ThingsException

Throws:
  `ThingsException`

### Receipt

    public Receipt(WhoAmI callerID,
                   java.lang.String theToken,
                   Receipt.Type theType,
                   java.lang.String note)
            throws ThingsException

Throws:
  `ThingsException`

Method Detail

### isFromSomebody

    public boolean isFromSomebody()

### hasToken

    public boolean hasToken()

### getType

    public Receipt.Type getType()

### getNote

    public java.lang.String getNote()

### toString

    public java.lang.String toString()

  Description copied from class: `Stamp`
  Get a string version of the stamp.

  Overrides:
    `toString` in class `Stamp`
  Returns:
    the textual representation of the stamp.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.